<script language="javaScript">
/**
 *  image_mouseClick()
 */
  function image_mouseClick( objID )
  {
    if( objID.indexOf('image') != -1 )
    {

    }// End if( objID.indexOf('image') != -1 )
  }// End function image_mouseClick( objID )

/**
 *  image_mouseDown()
 */
  function image_mouseDown( objID )
  {
    if( objID.indexOf('image') != -1 )
    {

    }// End if( objID.indexOf('image') != -1 )
  }// End function image_mouseDown( objID )

/**
 *  image_mouseUp()
 */
  function image_mouseUp( objID )
  {
    if( objID.indexOf('image') != -1 )
    {

    }// End if( objID.indexOf('image') != -1 )
  }// End function image_mouseUp( objID )

/**
 *  image_mouseOver()
 */
  function image_mouseOver( objID )
  {
    if( objID.indexOf('image') != -1 )
    {

    }// End if( objID.indexOf('image') != -1 )
  }// End function image_mouseOver( objID )

/**
 *  image_mouseOut()
 */
  function image_mouseOut( objID )
  {
    if( objID.indexOf('image') != -1 )
    {

    }// End if( objID.indexOf('image') != -1 )
  }// End function image_mouseOut( objID )

/**
 *  image_mouseMove()
 */
  function image_mouseMove( objID )
  {
    if( objID.indexOf('image') != -1 )
    {

    }// End if( objID.indexOf('image') != -1 )
  }// End function image_mouseMove( objID )



//  ------------------------------------------------------------  //
//  Lista de Métodos do Componente                                //
//  Conjunto de funções para manipular as propriedades do Objeto  //
//  ------------------------------------------------------------  //

 /**
 	* retorna o numero do image
 	*/
	function get_image( objID )
	{
  	ix = objID.indexOf('_');
  	if ( ix == -1 )
  	{
    	ix = objID.length;
  	}//End if ( ix == -1 )

  	if ( objID.substr( ix -2, 1 ) == 'e' )
  	{
    	nx = 1;
  	}else
  	{
    	nx = 2;
  	}// End   if ( ix == -1 )
//  	alert( objID.substr( ix -nx, nx ) );

    return objID.substr( ix -nx, nx );

	}// End function get_image( objID )

  /**
   * Metodo setImage_enabled
   * configura o valor para habilitar ou não o image
   */
  function setImage_enabled( nObj, status )
  {
    if( nObj.indexOf('_') == -1 )
    {
      objID = nObj;

    }else
    {
      objID = nObj;

    }// End if( nObj.indexOf('_') == -1 )

    objDOM = findDOM( objID, 0 );
    objDOM.disabled = !( status );

	}// End function setImage_enabled( nObj, status )


  /**
   * Metodo setImage_visible
   * configura o valor de visibilidade do image
   */
  function setImage_visible( nObj, status )
  {
    if( nObj.indexOf('_') == -1 )
    {
      objID = nObj;
    }else
    {
      objID = nObj;
    }// End if( nObj.indexOf('_') == -1 )
    objDOM = findDOM( objID, 1 );

    if( status == 'true' )
    {
      objDOM.visibility = "inherit";
    }else
    {
      objDOM.visibility = 'hidden';
    }// End if( status == 'true' )


  }// End function setImage_visible( nObj, status )


 /**
   * Metodo getPanel_index
   * retorna o indice
   */
  function getImage_index( objID )
  {
    ix = objID.indexOf('_');
    if( ix != -1 )
    {
      idx = objID.slice( 5, ix );
    }else
    {
      idx = objID.slice( 5 );
    }// End if( ix != -1 )
    return (parseInt(idx) - 1);
  }// End function getImage_index( objID )


</script>
